System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Attribute System.AttributeUsage(System.AttributeTargets.Field)

The belongs to a family of attributes that controls how the serializes or deserializes an object. For a complete list of similar attributes, see Attributes That Control XML Serialization.

Use the to change the enumeration that the generates or recognizes (when it serializes or deserializes a class, respectively). For example, if an enumeration contains a member named One, but you prefer that the XML output be named Single, apply the to the enumeration member and set the property to "Single".

You can override the property value of an by creating an instance of the class and assigning it to the property of an object. For details, see the class.

You can use the word XmlEnum in your code instead of the longer .

Controls how the serializes an enumeration member.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You can use the to override an existing enumeration.

  You can use the word XmlEnum in your code instead of the longer .

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You can use the word XmlEnum in your code instead of the longer .

  Initializes a new instance of the class, and specifies the XML value that the generates or recognizes (when it serializes or deserializes the enumeration, respectively).

  The overriding name of the enumeration member.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  Specify the when you want the generated XML data to differ from the enumeration identifier.

  You can use the word XmlEnum in your code instead of the longer .

  Gets or sets the value generated in an XML-document instance when the serializes an enumeration, or the value recognized when it deserializes the enumeration member.